//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "AdvGrid"
#pragma link "AdvObj"
#pragma link "AdvUtil"
#pragma link "BaseGrid"
#pragma link "DBAdvGrid"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
	cdsCustomers->LoadFromFile(".\\customer.xml");
	cdsCustomers->Active = true;

	cdsOrders->LoadFromFile(".\\orders.xml");
	cdsOrders->Active = true;

	cdsOrders->MasterSource = dsCustomers;
	cdsOrders->MasterFields = "CustNo";
	cdsOrders->IndexFieldNames = "CustNo";
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormShow(TObject *Sender)
{
	GridCustomers->AutoSize = true;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ButGroupingClick(TObject *Sender)
{
	GridOrders->PageMode = false;
	GridOrders->DataSetType = dtSequenced;
	GridOrders->GroupColumn = 14;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ButUnGroupClick(TObject *Sender)
{
	GridOrders->UnGroup();
	GridOrders->PageMode = true;
	GridOrders->DataSetType = dtNonSequenced;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::dsCustomersDataChange(TObject *Sender, TField *Field)
{

	if (cdsOrders->Active == true)
	{
		GridOrders->UnGroup();
		GridOrders->PageMode = true;
		GridOrders->DataSetType = dtNonSequenced;

		if (dsOrders->DataSet->RecordCount > 0)
		{
			GridOrders->PageMode = false;
			GridOrders->DataSetType = dtSequenced;
			GridOrders->GroupColumn = 14;
		}
	}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
	GridOrders->AutoSize = true;
}
//---------------------------------------------------------------------------

